apiVersion: batch/v1
kind: CronJob
metadata:
  name: turbodoo-database-backup
  namespace: odoo
spec:
  schedule: "15 * * * *" # Every hour past 15 minutes
  jobTemplate:
    spec:
      template:
        spec:
          containers:
            - name: job
              image: registry.gitlab.com/agepoly/it/k22/tools/agepoly-backup:main
              env:
                - name: POSTGRES_DATABASE
                  value: "odoo"
                - name: POSTGRES_HOST
                  value: "turbosql.odoo"
                - name: POSTGRES_USER
                  valueFrom:
                    secretKeyRef:
                      name: db-backups-secrets
                      key: postgresUser
                - name: POSTGRES_PASSWORD
                  valueFrom:
                    secretKeyRef:
                      name: db-backups-secrets
                      key: postgresPassword
                - name: S3_ENDPOINT
                  value: "http://minio1.minio"
                - name: S3_BUCKET
                  value: "db-backups"
                - name: S3_PREFIX
                  value: "turbodoo"
                - name: S3_ACCESS_KEY_ID
                  valueFrom:
                    secretKeyRef:
                      name: db-backups-secrets
                      key: accessKey
                - name: S3_SECRET_ACCESS_KEY
                  valueFrom:
                    secretKeyRef:
                      name: db-backups-secrets
                      key: secretKey
              imagePullPolicy: Always
              command:
                - /bin/sh
                - -c
                - |
                  until curl -fsI http://localhost:15021/healthz/ready; do echo \"Waiting for Envoy sidecar...\"; sleep 3; done;
                  echo \"Sidecar available. Running the command...\";
                  postgresql-backup.sh;
                  x=$(echo $?); curl -fsI -X POST http://localhost:15020/quitquitquit && exit $x

          restartPolicy: OnFailure
      backoffLimit: 3
